You are Here:
Download Linux Lite 5.6 Final today - See Release Announcements



X Close Ad
X Close Ad
[ ABANDONED ] "Unresolved" HP Deskjet 2742, works online, not by USB printer cord, wont scan

Author (Read 627 times)

0 Members and 3 Guests are viewing this topic.

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
:wave 
today's date:11-13-21.
New Todays date, its now 11-22-21.


i just got this printer, its a all in one HP "deskjet 2742" its a (all in one)i picked "hp deskjet 2700" series.

it prints, but wont scan, i have "simple scan" .

please help.

it does all on my windows PC upstairs, no problems.

was hoping to convert it also to Linux also.
i'm typing all this on my Linux lite 4.8 64bit........ i love my Linux.............

here is the link to the printer in question that i purchased........
https://www.amazon.com/HP-2742-Wireless-Connectivity-Printing/dp/B09CLD9YNP?th=1

i love Linux.  :043:



i'm going to start a new post, i am now using linux lite 5.6..........
Last Edit: November 22, 2021, 08:36:11 PM by kissbaby3
 


 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8180
    Posts
  • Country: nz
  • Reputation: 761
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
I don't see it listed here - https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index Folks you MUST check for linux compatibility BEFORE you buy anything. This is a must do habit. Cheers :)
 

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
I don't see it listed here - https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index Folks you MUST check for linux compatibility BEFORE you buy anything. This is a must do habit. Cheers :)

strange that its not supported, it prints fine, just the scanner part of it wont work. oh well, i guess its a windows printer then...... to bad there are no ideas.
 

 

Artim

  • Always Learning
  • PayPal Supporter
  • I come here a lot
  • *****
  • 492
    Posts
  • Country: us
  • Reputation: 64
  • All the Cool Kids Use Linux Lite!
    • Confessions of a Technophobe

  • Linux Lite: 5.4 64bit

  • CPU: Intel(R) Core(TM)2 Duo CPU T7300 @ 2.00GHz

  • MEMORY: 3Gb

  • VIDEO CARD: Mobile GM965/GL960 Integrated Graphics Controller

  • Kernel: 5.x
I wonder if installing hplip would help. In Synaptic, search for "hp" and try adding the hp apps (including the GUI). Maybe that'll help, just a guess.
 

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
I wonder if installing hplip would help. In Synaptic, search for "hp" and try adding the hp apps (including the GUI). Maybe that'll help, just a guess.

it has hplip installed, version 3-17-10.
it has a gui listed, i installed it , it was (qt-based) , that did not work.
 

 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8180
    Posts
  • Country: nz
  • Reputation: 761
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Refresh the page I linked once a week until official support appears. Windows support is far more comprehensive, in Linux, sometimes we just have to be patient.

Sent from my mobile phone using Tapatalk

 

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
Refresh the page I linked once a week until official support appears. Windows support is far more comprehensive, in Linux, sometimes we just have to be patient.

Sent from my mobile phone using Tapatalk

 8) it is actually on the list of supported printers(all-in-one) it need this HPlip version 3.20.5, thats maybe why i can only get it to print things only....... how do i download HPlip 3.20.5 onto linux lite 4.8  64bit ?.

its not listed in the synaptic package manager.

i have not upgraded to linux lite 5  series yet, i got alot on my plate, life been tricky lately. ha ha . hugs
 

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
Refresh the page I linked once a week until official support appears. Windows support is far more comprehensive, in Linux, sometimes we just have to be patient.

Sent from my mobile phone using Tapatalk

 8) it is actually on the list of supported printers(all-in-one) it need this HPlip version 3.20.5, thats maybe why i can only get it to print things only....... how do i download HPlip 3.20.5 onto linux lite 4.8  64bit ?.

its not listed in the synaptic package manager.

i have not upgraded to linux lite 5  series yet, i got alot on my plate, life been tricky lately. ha ha . hugs

ok, today i upgraded form linux lite 4.8 64bit to linux lite 5.6 64bit, it has the hplip version that i needed, the upgrade went smoothly.
and again my printer is listed as supported, tricky how hp words things on their developer site, but thats ok.

now that i am on the newest version on linux lite (linux lite 5.6) do i created a new post if my printer still has small issues ?.......going to test this printer thing again when i have my next  day off.

i want to thank every one for all the help, hugs
Last Edit: November 22, 2021, 03:28:33 PM by kissbaby3
 

 

kissbaby3

  • Forum Regular
  • ***
  • 168
    Posts
  • Country: us
  • Reputation: 11
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: 1.4 GHz

  • MEMORY: 8Gb

  • VIDEO CARD: on board
todays date: 11-22-21. HP Deskjet 2742 "all-in-one" printer.
now using linux lite 5.6,

i guess my new post was removed, thats ok.  8) .

now that i am  using Linux Lite 5.6 64bit.

it will only print when its online, will not work if its offline, will not work when its plugged into a USB printer cord.
how ever, while still plugged into the USB cord, it will print a copy of what ever i put into the scanner while its offline.
simple scan and Xsane will see the scanner while the printer is online, but they are both buggy and cant engage the scanner fully, they act like its trying tho.

hplip version 3.20.3,

i know the USB cord works, because when its connected that way on windows, it does all. prints, scan, copies, with no problems.
and yes its listed as supported by HP for linux.

maybe i might try another linux flavor, so for now , on here , i am marking this "Unresolved" .............
 

 

firenice03

  • Rockin' the FREE World
  • Global Moderator
  • Platinum Level Poster
  • *****
  • 1639
    Posts
  • Country: us
  • Reputation: 273
  • Linux Lite Member

  • Linux Lite: 5.6 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880

  • Kernel: 5.x
Depending on the "newness" production date it may take a moment for Linux to build in... It works by default, could be that its "using" a generic/standard/prior driver that works for a similar or older model version.


Also, and I try to follow the same.... having a TimeShift backup of the working system in a state to revert to back should what we "try" go horribly wrong OR if what was tried just didn't work... Just because it didnt work doesn't necessarily mean the system is still as it was. say for example compiling for python2 and 3 is installed...
Its east to revert versus trying to undo what was hoped would work.


Forsake of this thread; the other is https://www.linuxliteos.com/forums/printing-and-scanning/i-need-to-upgrade-hplip-from-3-20-3-to-3-20-5-i-need-instructions-please/


Another along the same lines: https://askubuntu.com/questions/1353398/cant-get-the-hp-scanner-working-in-ubuntu20-04-cant-install-hplip-in-ubuntu2


I wouldn't be so quick to dismiss as "unresolved" or abandoned as from the sounds of things HP is updating the plugin??
Further research may also find that the kernel version may be at play... Food for thought.


Perhaps this as an informational thread vs. support - a what works/what didn't ???


I.E.
LL Version
Kernel
HPLIP version


Print via Wifi / Ether / USB
Scan the same (version and via)


Online/Offline - I assume you're meaning will the device wake when a job is sent to it?

LL4.8 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL5.6 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL4.8 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express  -- Shelved
BACK LL5.6 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA - Print Server
Running Linux Lite since LL2.2
 


 

X Close Ad
X Close Ad

Download Linux Lite 5.6 Final today - See Release Announcements